# I3DShTweenerChainLink Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShTweenerChainLink:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | Clone (I3DShTweenerChainLink **outLink, I3DShParamTimeLine *inFatherTimeLine) const =0
virtual MCCOMErr MCCOMAPI | CopyData (I3DShTweenerChainLink *inDest) const =0
virtual I3DShTweener *MCCOMAPI | GetTweenerNoAddRef (boolean inDefaultIfNone=false, boolean inCreateIfNone=false)=0
virtual MCCOMErr MCCOMAPI | GetTweener (I3DShTweener **outTweener, boolean inDefaultIfNone=false, boolean inCreateIfNone=false)=0
virtual MCCOMErr MCCOMAPI | SetTweener (I3DShTweener *inTweener)=0
virtual I3DShKeyFrame *MCCOMAPI | GetKeyFrameNoAddRef () const =0
virtual MCCOMErr MCCOMAPI | GetKeyFrame (I3DShKeyFrame **outKeyFrame) const =0
virtual MCCOMErr MCCOMAPI | SetKeyFrame (I3DShKeyFrame *inKeyFrame)=0
virtual boolean MCCOMAPI | KeyFrameCanHaveTangents () const =0
virtual MicroTick MCCOMAPI | GetTime () const =0
virtual MCCOMErr MCCOMAPI | SetTime (MicroTick inTime)=0
virtual I3DShTweenerChainLink *MCCOMAPI | GetNextNoAddRef ()=0
virtual MCCOMErr MCCOMAPI | GetNext (I3DShTweenerChainLink **outNext) const =0
virtual MCCOMErr MCCOMAPI | SetNext (I3DShTweenerChainLink *inNext)=0
virtual I3DShTweenerChainLink *MCCOMAPI | GetPrevNoAddRef ()=0
virtual MCCOMErr MCCOMAPI | GetPrev (I3DShTweenerChainLink **outPrev) const =0
virtual MCCOMErr MCCOMAPI | SetPrev (I3DShTweenerChainLink *inPrev)=0
virtual I3DShParamTimeLine *MCCOMAPI | GetFatherNoAddRef ()=0
virtual MCCOMErr MCCOMAPI | RemoveFromChain ()=0
virtual void MCCOMAPI | InsertAfter (I3DShTweenerChainLink *inAfter)=0
virtual void MCCOMAPI | InsertBefore (I3DShTweenerChainLink *inBefore)=0
virtual MCCOMErr MCCOMAPI | OffsetLink (MicroTick inDeltaTime)=0
virtual MCCOMErr MCCOMAPI | GetTimeInfo (TTimeInfo &outTimeInfo) const =0
virtual boolean MCCOMAPI | IsTweenerSelected () const =0
virtual boolean MCCOMAPI | IsKeyFrameSelected () const =0
virtual MCCOMErr MCCOMAPI | SelectKeyFrame (boolean select)=0
virtual MCCOMErr MCCOMAPI | SelectTweener (boolean select)=0

## Detailed Description

The tweener chain link is an element of a time line (see I3DShParamTimeLine). It owns a tweener and a keyframe.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::Clone | ( | I3DShTweenerChainLink ** | outLink,
|  | I3DShParamTimeLine * | inFatherTimeLine |
| ) |  |  | const`[pure virtual]`

Creates a copy of the tweener chain link.

Parameters:

  | outLink | The copy.
  | inFatherTimeLine | The time line.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::CopyData | ( | I3DShTweenerChainLink * | inDest | ) | const`[pure virtual]`

Copy the data of a tweener chain link into another tweener chain link.

Parameters:

  | inDest | The destination tweener chain link.

virtual I3DShParamTimeLine* MCCOMAPI I3DShTweenerChainLink::GetFatherNoAddRef | ( |  | ) | `[pure virtual]`

Returns the time line that contains this tweener chain link

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::GetKeyFrame | ( | I3DShKeyFrame ** | outKeyFrame | ) | const`[pure virtual]`

Returns a pointer to the keyframe.

virtual I3DShKeyFrame* MCCOMAPI I3DShTweenerChainLink::GetKeyFrameNoAddRef | ( |  | ) | const`[pure virtual]`

Returns a pointer to the keyframe.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::GetNext | ( | I3DShTweenerChainLink ** | outNext | ) | const`[pure virtual]`

Returns the next tweener chain link in the time line.

virtual I3DShTweenerChainLink* MCCOMAPI I3DShTweenerChainLink::GetNextNoAddRef | ( |  | ) | `[pure virtual]`

Returns the next tweener chain link in the time line.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::GetPrev | ( | I3DShTweenerChainLink ** | outPrev | ) | const`[pure virtual]`

Returns the previous chain link in the time line.

virtual I3DShTweenerChainLink* MCCOMAPI I3DShTweenerChainLink::GetPrevNoAddRef | ( |  | ) | `[pure virtual]`

Returns the previous chain link in the time line.

virtual MicroTick MCCOMAPI I3DShTweenerChainLink::GetTime | ( |  | ) | const`[pure virtual]`

Returns the time of the key frame associated with this chain link.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::GetTimeInfo | ( | TTimeInfo & | outTimeInfo | ) | const`[pure virtual]`

Returns the time.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::GetTweener | ( | I3DShTweener ** | outTweener,
|  | boolean | inDefaultIfNone = `false`,
|  | boolean | inCreateIfNone = `false` |
| ) |  |  | `[pure virtual]`

Returns a pointer to the tweener.

virtual I3DShTweener* MCCOMAPI I3DShTweenerChainLink::GetTweenerNoAddRef | ( | boolean | inDefaultIfNone = `false`,
|  | boolean | inCreateIfNone = `false` |
| ) |  |  | `[pure virtual]`

Returns a pointer to the tweener.

virtual void MCCOMAPI I3DShTweenerChainLink::InsertAfter | ( | I3DShTweenerChainLink * | inAfter | ) | `[pure virtual]`

Inserts the chain link after a chain link.

virtual void MCCOMAPI I3DShTweenerChainLink::InsertBefore | ( | I3DShTweenerChainLink * | inBefore | ) | `[pure virtual]`

Inserts the chain link before a chain link.

virtual boolean MCCOMAPI I3DShTweenerChainLink::IsKeyFrameSelected | ( |  | ) | const`[pure virtual]`

Returns true if the keyframe is selected.

virtual boolean MCCOMAPI I3DShTweenerChainLink::IsTweenerSelected | ( |  | ) | const`[pure virtual]`

Returns true if the tweener is selected.

virtual boolean MCCOMAPI I3DShTweenerChainLink::KeyFrameCanHaveTangents | ( |  | ) | const`[pure virtual]`

Returns true if the keyframe of this link can have tangents (this depends on the keyframe as well as the previous and next tweener).

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::OffsetLink | ( | MicroTick | inDeltaTime | ) | `[pure virtual]`

Undocumented.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::RemoveFromChain | ( |  | ) | `[pure virtual]`

Removes the chain link from the time line.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SelectKeyFrame | ( | boolean | select | ) | `[pure virtual]`

Selects/Deselect the key frame.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SelectTweener | ( | boolean | select | ) | `[pure virtual]`

Selects/Deselect the tweener.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SetKeyFrame | ( | I3DShKeyFrame * | inKeyFrame | ) | `[pure virtual]`

Sets the key frame.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SetNext | ( | I3DShTweenerChainLink * | inNext | ) | `[pure virtual]`

Sets the next chain link in the time line.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SetPrev | ( | I3DShTweenerChainLink * | inPrev | ) | `[pure virtual]`

Sets the previous chain link in the time line.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SetTime | ( | MicroTick | inTime | ) | `[pure virtual]`

Sets the time of the key frame associated with this chain link.

virtual MCCOMErr MCCOMAPI I3DShTweenerChainLink::SetTweener | ( | I3DShTweener * | inTweener | ) | `[pure virtual]`

Sets a new tweener

The documentation for this struct was generated from the following file:

- I3DShTweener.h